Cannot update via mintupdate

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Moini
Level 1
Level 1
Posts: 13
Joined: Thu Jun 28, 2012 9:46 am

Cannot update via mintupdate

Post by Moini » Mon Aug 20, 2018 8:42 am

I don't know what caused this problem, but this is what's happening:
  • mintupdate (graphical version) works insofar as it is downloading the list of updates and displaying them
  • as soon as I try to actually run an update, I get the error message (similar, but not exactly): "Couldn't install security updates." It does not ask for my password, just fails.
  • when I try to access the list of ppas, the cursor shows a waiting animation for a couple of seconds, and that's all. After that, the program just 'works' as it did previously. No error message, no password asked, no nothing.
  • when I try to debug the program, starting from the command line, it just seems to start the process, and then it just returns to the normal prompt, without any output, so I don't know how to get any useful error message to understand what is happening. Please let me know how to gain access to some useful debugging output.
Accidentally, I kept the terminal open the last time. Interestingly, it still prints an error message (after a new prompt was printed!) when I try to access the ppa list via gui:

~$ ==== AUTHENTICATING FOR com.linuxmint.mintsources ===
Software Sources Authenticating as: Username,,, (username) Password: **
(process:31072): ERROR **: 17:35:17.309: Got unexpected EOF while reading from controlling terminal.
polkit-agent-helper-1: pam_authenticate failed: Authentication failure

It might have to do with the ppas, I suspect mintupdate somehow cannot deal with the files. Let me know if you'd like to have any of them. Or with an encrypted home directory - this didn't happen before that was encrypted.

Updating, adding ppas, etc. all works fine when done with apt on the command line. So I currently use mintupdate to know when there are updates, then I open a terminal, and do the actual update...

This is with Linux Mint 19, MintUpdate 5.4.0.

gm10
Level 9
Level 9
Posts: 2672
Joined: Thu Jun 21, 2018 5:11 pm

Re: Cannot update via mintupdate

Post by gm10 » Mon Aug 20, 2018 9:02 am

Moini wrote:
Mon Aug 20, 2018 8:42 am
[*] as soon as I try to actually run an update, I get the error message (similar, but not exactly): "Couldn't install security updates." It does not ask for my password, just fails.
We'd need the full error message, in particular the part after "Exception occurred in the install thread:".
Moini wrote:
Mon Aug 20, 2018 8:42 am
[*] when I try to access the list of ppas, the cursor shows a waiting animation for a couple of seconds, and that's all. After that, the program just 'works' as it did previously. No error message, no password asked, no nothing.
This is about Software Sources now? That tool should not even start without asking for your password. What does it say when you run mintsources separately from a terminal?

Also try to launch synaptic-pkexec and let me know if that works.

Last but not least, post output of id please.

Moini
Level 1
Level 1
Posts: 13
Joined: Thu Jun 28, 2012 9:46 am

Re: Cannot update via mintupdate

Post by Moini » Mon Aug 20, 2018 4:51 pm

Thank you for taking the time to reply and help me.
We'd need the full error message, in particular the part after "Exception occurred in the install thread:".
I've never had any message like that, sorry. It just says 'Couldn't install security updates.' Only in German, that's why it's not the exact message. No useful output in the GUI at all, seems now that it's really related to authentication.

Screenshot from the status line at the bottom where the message is displayed:
Image
What does it say when you run mintsources separately from a terminal?

Code: Select all

$ mintsources
==== AUTHENTICATING FOR com.linuxmint.mintsources ===
Software Sources
Authenticating as: MyUsername,,, (myusername)
Password:

[Now I enter my password]

polkit-agent-helper-1: error response to PolicyKit daemon:
GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.
Also try to launch synaptic-pkexec and let me know if that works
Gives the same error messages as the above, just for synaptic.
Last but not least, post output of id please.

Code: Select all

uid=1000(myusername) gid=1000(myusername)
Gruppen=1000(myusername),4(adm),24(cdrom),27(sudo),30(dip),46(plugdev),115(lpadmin),128(sambashare)

gm10
Level 9
Level 9
Posts: 2672
Joined: Thu Jun 21, 2018 5:11 pm

Re: Cannot update via mintupdate

Post by gm10 » Mon Aug 20, 2018 5:40 pm

Thanks. If you go Menu > Startup Applications, find the entry "PolicyKit Authentication Agent". I have a feeling you disabled that one, because it does not appear to be running. Enable it, then relog, and you should be good.

Moini
Level 1
Level 1
Posts: 13
Joined: Thu Jun 28, 2012 9:46 am

Re: Cannot update via mintupdate

Post by Moini » Mon Aug 20, 2018 7:34 pm

Yes, that was it... :oops: I must have disabled it inadvertantly. Thank you very much!

Post Reply

Return to “Software & Applications”